Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.search
Class VersionedIdentifiersFilter

    java.lang.Object
      org.eclipse.update.search.BaseFilter
          org.eclipse.update.search.VersionedIdentifiersFilter

All Implemented Interfaces:
  IUpdateSearchFilter

public class VersionedIdentifiersFilter
extends BaseFilter

This class can be added to the update search request to filter out features that are not part of the specified set.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0
See Also:
  `UpdateSearchRequest`, `IUpdateSearchFilter`

Constructor Summary
`VersionedIdentifiersFilter()`
`VersionedIdentifiersFilter(VersionedIdentifier[] vids)`

Method Summary
`boolean` | `accept(IFeatureReference match)` Tests a feature reference according to this filter's criteria.
`void` | `add(VersionedIdentifier vid)`

Methods inherited from class org.eclipse.update.search.BaseFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionedIdentifiersFilter

    public VersionedIdentifiersFilter()

### VersionedIdentifiersFilter

    public VersionedIdentifiersFilter(VersionedIdentifier[] vids)

Method Detail

### add

    public void add(VersionedIdentifier vid)

### accept

    public boolean accept(IFeatureReference match)

  Description copied from interface: `IUpdateSearchFilter`
  Tests a feature reference according to this filter's criteria. This is a prefilter that allows rejecting a feature before a potentially lengthy download.

  Specified by:
    `accept` in interface `IUpdateSearchFilter`
  Overrides:
    `accept` in class `BaseFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.